merge conflict : freeze versions
[slapos.git] / component / slapos / buildout.cfg
1 [buildout]
2 extends =
3   ../../stack/shacache-client.cfg
4   ../lxml-python/buildout.cfg
5   ../python-2.7/buildout.cfg
6
7 parts =
8   slapos
9
10 find-links =
11   http://www.nexedi.org/static/packages/source/slapos.buildout/
12
13 versions = versions
14
15 allow-hosts =
16   *.googlecode.com
17   *.nexedi.org
18   *.python.org
19   alastairs-place.net
20   code.google.com
21   github.com
22   peak.telecommunity.com
23
24 # separate from system python
25 include-site-packages = false
26 exec-sitecustomize = false
27 allowed-eggs-from-site-packages =
28
29 [lxml-python]
30 python = python2.7
31
32 [slapos]
33 recipe = z3c.recipe.scripts
34 python = python2.7
35 eggs =
36   slapos.libnetworkcache
37   zc.buildout
38   ${lxml-python:egg}
39   slapos.core
40
41 [versions]
42 zc.buildout = 1.5.3-dev-SlapOS-005
43 Jinja2 = 2.5.5
44 Werkzeug = 0.6.2
45 hexagonit.recipe.cmmi = 1.5.0
46 lxml = 2.3
47 meld3 = 0.6.7
48 netaddr = 0.7.5
49 setuptools = 0.6c12dev-r88846
50 slapos.core = 0.12
51 slapos.libnetworkcache = 0.2
52 xml-marshaller = 0.9.7
53 z3c.recipe.scripts = 1.0.1
54 zc.recipe.egg = 1.3.2
55
56 # Required by:
57 # slapos.core==0.12
58 Flask = 0.7.2
59
60 # Required by:
61 # hexagonit.recipe.cmmi==1.5.0
62 hexagonit.recipe.download = 1.5.0
63
64 # Required by:
65 # slapos.core==0.12
66 netifaces = 0.5
67
68 # Required by:
69 # slapos.core==0.12
70 supervisor = 3.0a10
71
72 # Required by:
73 # slapos.core==0.12
74 zope.interface = 3.6.4
75